diff --git a/compiler/typecheck/TcGenGenerics.lhs b/compiler/typecheck/TcGenGenerics.lhs
index af2407b..d74a390 100644
--- a/compiler/typecheck/TcGenGenerics.lhs
+++ b/compiler/typecheck/TcGenGenerics.lhs
@@ -7,12 +7,6 @@ The deriving code for the Generic class
 
 \begin{code}
 {-# LANGUAGE ScopedTypeVariables #-}
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 
 module TcGenGenerics (canDoGenerics, canDoGenerics1,
@@ -230,8 +224,8 @@ canDoGenerics tc tc_args
                           then (Just (ppr dc <+> text "must be a vanilla data constructor"))
                           else Nothing)
 
-	-- Nor can we do the job if it's an existential data constructor,
-	-- Nor if the args are polymorphic types (I don't think)
+        -- Nor can we do the job if it's an existential data constructor,
+        -- Nor if the args are polymorphic types (I don't think)
     bad_arg_type ty = isUnLiftedType ty || not (isTauTy ty)
 
 mergeErrors :: [Maybe SDoc] -> Maybe SDoc
@@ -337,13 +331,13 @@ canDoGenerics1_w rep_tc
 \end{code}
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Generating the RHS of a generic default method}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
-type US = Int	-- Local unique supply, just a plain Int
+type US = Int   -- Local unique supply, just a plain Int
 type Alt = (LPat RdrName, LHsExpr RdrName)
 
 -- GenericKind serves to mark if a datatype derives Generic (Gen0) or
@@ -757,9 +751,9 @@ genLR_E i n e
 
 -- Build a product expression
 mkProd_E :: GenericKind_DC      -- Generic or Generic1?
-         -> US	            -- Base for unique names
+         -> US              -- Base for unique names
          -> [(RdrName, Type)] -- List of variables matched on the lhs and their types
-	 -> LHsExpr RdrName -- Resulting product expression
+         -> LHsExpr RdrName -- Resulting product expression
 mkProd_E _   _ []     = mkM1_E (nlHsVar u1DataCon_RDR)
 mkProd_E gk_ _ varTys = mkM1_E (foldBal prod appVars)
                      -- These M1s are meta-information for the constructor
@@ -783,9 +777,9 @@ wrapArg_E (Gen1_DC argVar) (var, ty) = mkM1_E $ converter ty `nlHsApp` nlHsVar v
 
 -- Build a product pattern
 mkProd_P :: GenericKind   -- Gen0 or Gen1
-         -> US		        -- Base for unique names
-	       -> [RdrName]     -- List of variables to match
-	       -> LPat RdrName  -- Resulting product pattern
+         -> US                  -- Base for unique names
+               -> [RdrName]     -- List of variables to match
+               -> LPat RdrName  -- Resulting product pattern
 mkProd_P _  _ []   = mkM1_P (nlNullaryConPat u1DataCon_RDR)
 mkProd_P gk _ vars = mkM1_P (foldBal prod appVars)
                      -- These M1s are meta-information for the constructor
